# std::linear_congruential_engine<UIntType,a,c,m>::min

From cppreference.com
< cpp‎ | numeric‎ | random‎ | linear congruential engine

static constexpr result_type min(); |  | (since C++11)

Returns the minimum value potentially generated by the random-number engine. This value is equal to `1u` if increment is `0u`, and is equal to `0u` otherwise.

### Parameters

(none)

### Return value

The minimum potentially generated value.

### Complexity

Constant

### See also

max [static] | gets the largest possible value in the output range (public static member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/linear_congruential_engine/min&oldid=50971"